name: field.blocks.buttons.name
icon: layers

fields:
	group:
		label: Groupe de boutons
		type: structure
		max: 3
		columns:
			label:
				width: 1/4
			linkToPage:
				width: 1/4
			url:
				width: 1/4

		fields:
			label:
				label: Label du bouton
				type: text
				required: true
			
			button_source:
				type: select
				label: Source
				default: page
				width: 1/4
				options:
					page: Page
					url: Lien

			linkToPage:
				label: Page
				type: pages
				max: 1
				width: 3/4
				when:
					button_source: page
			

			url:
				label: url
				type: url
				width: 3/4
				when:
					button_source: url

